# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/Factory/ObjectFactory.pm) perl(Bio/Index/Abstract.pm) perl(Bio/PullParserI.pm) perl(Bio/Root/IO.pm) perl(Bio/Root/Root.pm) perl(Bio/Root/Test.pm) perl(Bio/Root/Version.pm) perl(Bio/Search/HSP/GenericHSP.pm) perl(Bio/Search/HSP/PullHSPI.pm) perl(Bio/Search/Hit/GenericHit.pm) perl(Bio/Search/Hit/PullHitI.pm) perl(Bio/Search/Result/GenericResult.pm) perl(Bio/Search/Result/PullResultI.pm) perl(Bio/SearchIO.pm) perl(Bio/SeqAnalysisParserI.pm) perl(Bio/SeqFeature/FeaturePair.pm) perl(Bio/SeqFeature/Generic.pm) perl(Bio/Tools/IUPAC.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IO/String.pm) perl(IPC/Open3.pm) perl(Symbol.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(base.pm) perl(lib.pm) perl(strict.pm)
BuildRequires: perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bio-SearchIO-hmmer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.7.3
Release: alt1
Summary: A parser for HMMER2 and HMMER3 output (hmmscan, hmmsearch, hmmpfam)
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bio-SearchIO-hmmer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CJ/CJFIELDS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This object implements a parser for HMMER output. It works with both HMMER2 and HMMER3

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%perl_vendor_privlib/B*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu Feb 07 2019 Igor Vlasenko <viy@altlinux.ru> 1.7.3-alt1
- initial import by package builder

